
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>php防止sql注入原理介绍 / iVAN</title>

    <meta name="description" content="php防止sql注入原理介绍 当然addslashes也不是毫无用处,它是用于单字节字符串的处理,多字节字符还是用mysql_real_escape_string吧. 打开magic_quotes_gpc来防止SQL注入 php.ini中有一个设置:magic_quotes_gpc = Off 这个默认是关闭的,如果它打开后将自动把用户提交对sql的查询进行转换, 比如把 ' 转为 '等,对于防止sql注射有重大作用.      如果magic_quotes_gpc=Off,则使用addslashes()函数 另外对于php">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">php防止sql注入原理介绍</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>当然addslashes也不是毫无用处，它是用于单字节字符串的处理，多字节字符还是用mysql_real_escape_string吧。</p>
<p>打开magic_quotes_gpc来防止SQL注入</p>
<p>php.ini中有一个设置：magic_quotes_gpc = Off<br />
　　这个默认是关闭的，如果它打开后将自动把用户提交对sql的查询进行转换，<br />
　　比如把 ' 转为 '等，对于防止sql注射有重大作用。</p>
<p>     如果magic_quotes_gpc=Off，则使用addslashes()函数</p>
<p>另外对于php手册中get_magic_quotes_gpc的举例：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />if (!get_magic_quotes_gpc()) {</p>
<p>　　$lastname = addslashes($_POST[‘lastname’]);</p>
<p>　　} else {</p>
<p>　　$lastname = $_POST[‘lastname’];</p>
<p>}</p>
</td>
</tr>
</table>
<p>最好对magic_quotes_gpc已经开放的情况下，还是对$_POST[’lastname’]进行检查一下。</p>
<p>再说下mysql_real_escape_string和mysql_escape_string这2个函数的区别：</p>
<p>mysql_real_escape_string 必须在(PHP 4 &gt;= 4.3.0, PHP 5)的情况下才能使用。否则只能用 mysql_escape_string ，两者的区别是：mysql_real_escape_string 考虑到连接的当前字符集，而mysql_escape_string 不考虑。</p>
<p>（1）mysql_real_escape_string -- 转义 SQL 语句中使用的字符串中的特殊字符，并考虑到连接的当前字符集</p>
<p>使用方法如下：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />$sql = "select count(*) as ctr from users where username02.='".mysql_real_escape_string($username)."' and 03.password='". mysql_real_escape_string($pw)."' limit 1";</p>
</td>
</tr>
</table>
<p>自定函数</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />function inject_check($sql_str) { <br />
    return eregi('select|insert|and|or|update|delete|'|/*|*|../|./|union|into|load_file|outfile', $sql_str);<br />
} <br />
 <br />
function verify_id($id=null) { <br />
    if(!$id) {<br />
        exit('没有提交参数！'); <br />
    } elseif(inject_check($id)) { <br />
        exit('提交的参数非法！');<br />
    } elseif(!is_numeric($id)) { <br />
        exit('提交的参数非法！'); <br />
    } <br />
    $id = intval($id); <br />
     <br />
    return $id; <br />
} <br />
 <br />
 <br />
function str_check( $str ) { <br />
    if(!get_magic_quotes_gpc()) { <br />
        $str = addslashes($str); // 进行过滤 <br />
    } <br />
    $str = str_replace("_", "_", $str); <br />
    $str = str_replace("%", "%", $str); <br />
     <br />
   return $str; <br />
} <br />
 <br />
 <br />
function post_check($post) { <br />
    if(!get_magic_quotes_gpc()) { <br />
        $post = addslashes($post);<br />
    } <br />
    $post = str_replace("_", "_", $post); <br />
    $post = str_replace("%", "%", $post); <br />
    $post = nl2br($post); <br />
    $post = htmlspecialchars($post); <br />
     <br />
    return $post; <br />
}</p>
</td>
</tr>
</table>
<p><strong>总结一下：</strong></p>
<p>* addslashes() 是强行加;</p>
<p>* mysql_real_escape_string() 会判断字符集，但是对PHP版本有要求;<br />
* mysql_escape_string不考虑连接的当前字符集。<br />
dz中的防止sql注入就是用addslashes这个函数，同时在dthmlspecialchars这个函数中有进行一些替换$string = preg_replace(/&amp;((#(d{3,5}|x[a-fA-F0-9]{4}));)/, &amp;1,这个替换解决了注入的问题，同时也解决了中文乱码的一些问题。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 00:34:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6%e4%b8%b2/" title="字符串">字符串</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>php防止sql注入原理介绍的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnwoYKz.html" rel="bookmark">Sql注入原理简介&lowbar;动力节点Java学院整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.什么是sql注入呢? 所谓SQL注入,就是通过把SQL命令插入到Web表单递交或输入域名或页面请求的查询字符串,最终达到欺骗服务器执行恶意的SQL命令,比如先前的很多影视网站泄露VIP会员密码大多就是通过WEB表单递交查询字符暴出的,这类表单特别容易受到SQL注入式攻击．当应用程序使用输入内容来构造动态sql语句以访问数据库时,会发生sql注入攻击.如果代码使用存储过程,而这些存储过程作为包含未筛选的用户输入的字符串来传递,也会发生sql注入. 黑客通过SQL注入攻击可以拿到网站数据库的访问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBYx9az.html" rel="bookmark">sql注入原理分析与web暴力破解密码代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果发生这种方式的sql注入,一定是程序内部使用的sql拼接,并且没有对用户的输入的表单参数过滤或者没有对url参数过滤.      对于sql的拼接,基本上有两种方式:      1,如  sql = &quot;select * from table where id=&quot; + 输入参数;   形式         此种最好防范,只须要对输入参数进行数字验证,如果忽略此处验证,后果也是最严重,就算你对参数进行 单引号过滤,等号过滤,sql关键字过滤 也于事无补.         如果没有数字验			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW15mrz.html" rel="bookmark">SQL Injection（SQL注入）介绍及SQL Injection攻击检测工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.关于SQL Injection 迄今为止,我基本没有看到谁写出一篇很完整的文章,或者说很成熟的 解决方案(能做到 的人肯定很多,问题是没有流传开来,很遗憾) 我简单的说几点,希望启发大家思考,起到抛砖引玉的作用 一.SQL Injection的原理 SQL Injection的实现方法和破坏作 用有很多,但万变不离其宗,其原理可以概括为一句话 :SQL Injection就是向服务器端提交事先准备好的数据,拼凑出攻击者想要的SQL语句,以改变数据库操作执行计划. 我想,这么说也许不算精炼,但			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA7r6Qz.html" rel="bookmark">常见sql注入原理详解！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.首先我们创建一个mysqli的链接 /**数据库配置*/ $config = ['hostname'=&gt;&quot;localhost&quot;, 'port'=&gt;&quot;3306&quot;, 'username'=&gt;&quot;root&quot;,'password'=&gt;'','db'=&gt;'sql']; /**接收参数*/ $id = $_GET['id']?$_GET['id']:&quot;&quot;; if(empty($id)){ echo &quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJa6Rp.html" rel="bookmark">SQL注入</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1课:SQL注入原理深度解析 对于Web应用来说,注射式攻击由来已久,攻击方式也五花八门,常见的攻击方式有SQL注射.命令注射以及新近才出现的XPath注射等等.本文将以SQL注射为例,在源码级对其攻击原理进行深入的讲解. 一.注射式攻击的原理 注射式攻击的根源在于,程序命令和用户数据(即用户输入)之间没有做到泾渭分明.这使得攻击者有机会将程序命令当作用户输入的数据提交给Web程序,以发号施令,为所欲为. 为了发动注射攻击,攻击者需要在常规输入中混入将被解释为命令的&quot;数据&quot;,要想成功			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdJ93b.html" rel="bookmark">SQL注入天书&mdash;ASP注入漏洞全接触</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL注入天书-ASP注入漏洞全接触选择自 digituser 的 Blog 随着B/S模式应用开发的发展,使用这种模式编写应用程序的程序员也越来越多.但是由于这个行业的入门门槛不高,程序员的水平及经验也参差不齐,相当大一部分程序员在编写代码的时候,没有对用户输入数据的合法性进行判断,使应用程序存在安全隐患.用户可以提交一段数据库查询代码,根据程序返回的结果,获得某些他想得知的数据,这就是所谓的SQL Injection,即SQL注入. SQL注入是从正常的WWW端口访问,而且表面看起来跟一般的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWR7qb.html" rel="bookmark">SQL注入天书之ASP注入漏洞全接触&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引 言 随着B/S模式应用开发的发展,使用这种模式编写应用程序的程序员也越来越多.但是由于这个行业的入门门槛不高,程序员的水平及经验也参差不齐,相当大一部分程序员在编写代码的时候,没有对用户输入数据的合法性进行判断,使应用程序存在安全隐患.用户可以提交一段数据库查询代码,根据程序返回的结果,获得某些他想得知的数据,这就是所谓的SQL Injection,即SQL注入. SQL注入是从正常的WWW端口访问,而且表面看起来跟一般的Web页面访问没什么区别,所以目前市面的防火墙都不会对SQL注入发出警			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwEkNM.html" rel="bookmark">SQL注入漏洞全接触--入门篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				      随着B/S模式应用开发的发展,使用这种模式编写应用程序的程序员也越来越多.但是由于这个行业的入门门槛不高,程序员的水平及经验也参差不齐,相当大一部分程序员在编写代码的时候,没有对用户输入数据的合法性进行判断,使应用程序存在安全隐患.用户可以提交一段数据库查询代码,根据程序返回的结果,获得某些他想得知的数据,这就是所谓的SQL Injection,即SQL注入.     SQL注入是从正常的WWW端口访问,而且表面看起来跟一般的Web页面访问没什么区别,所以目前市面的防火墙都不会对SQ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZWY7z.html" rel="bookmark">MySQL解决SQL注入的另类方法详解&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了MySQL解决SQL注入的另类方法.分享给大家供大家参考,具体如下: 问题解读 我觉得,这个问题每年带来的成本可以高达数十亿美元了.本文就来谈谈,假定我们有如下 SQL 模板语句: select * from T where f1 = '{value1}' and f2 = {value2} 现在我们需要根据用户输入值填充该语句: value1=hello value2=5 我们得到了下面的 SQL 语句,我们再提交给数据库: select * from T where f1='h			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMydB5b.html" rel="bookmark" class="title">c&plus;&plus;关于字符串传递的问题</a>
					<div>
						问题描述 c++关于字符串传递的问题 编译通过但是运行以后输入第二个字符串时候出错,也就是第一次调用函数的时候 解决方案 #include #include using namespace std;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl07OM.html" rel="bookmark" class="title">通过SEO工具做好网站排名</a>
					<div>
						一个网站的跳出率跟哪些因素有关呢?现在很多站长都很关注统计工具里面的数据,网站稍微有点风吹草动就会坐立不安,一个网站如果基础优化做的好,就不用担心没有用户,网站的首页也要有足够的吸引力,我们可以借助一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeWV0M.html" rel="bookmark" class="title">初学者来看：学习网页技术CSS从何入手技术？</a>
					<div>
						css|初学|网页 引言: 引用一本书中的一段文字:&quot;当我第一次开始学习汉语时,我的家庭老师老王给了我一本汉英字典.一本汉语语法书和一本初级教程.但是,他将这些书放 在一个书筐里,并说到下周 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7dBXb.html" rel="bookmark" class="title">远程获取内容，并将内容存在本地电脑上，包括任何文件</a>
					<div>
						  &lt;%   '------------------------------------------------------------------------   '------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Awr7p.html" rel="bookmark" class="title">HDU 2818 Building Block&comma; poj 1988 Cube Stacking：带权并查集</a>
					<div>
						链接: HDU: http://acm.hdu.edu.cn/showproblem.php?pid=2818 POJ:  http://poj.org/problem?id=1988 题目: Pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN8Gmb.html" rel="bookmark" class="title">RedFlag Linux 5&period;0桌面版安装oralce10</a>
					<div>
						本文中描述的步骤可能有些不是必须的,但笔者没有进一步验证,故将安装过程中的所有步骤均列出在此. 1. 安装 Redflag Linux 5.0 桌面版 2. 安装前得准备,打几个补丁 1). redh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlPOEb.html" rel="bookmark" class="title">C&num;实现USB接口的程序代码</a>
					<div>
						C#实现USB接口的程序代码. namespace ConsoleApplication1 { class Program { static void Main(string[] args) { US ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr06kp.html" rel="bookmark" class="title">OpenRisc入门（17） or1200移植linux</a>
					<div>
						上节我们修改了适合自己开发板的u-boot代码,调试成功后我们就要固化我们的代码到flash上,我板子上的是nor flash在u-boot上的信息是: 这表明基本上flash是调通了,然后按照下载代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPALGz.html" rel="bookmark" class="title">php中Ctype函数用法详解</a>
					<div>
						  本文实例分析了php中Ctype函数用法.分享给大家供大家参考.具体分析如下: Ctype函数是Php的Ctype扩展函数提供了一组函数用于校验字符串中的字符是否是正确的格式,这里我们主要介绍一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ow1nb.html" rel="bookmark" class="title">jQuery使用append在html元素后同时添加多项内容的方法</a>
					<div>
						 这篇文章主要介绍了jQuery使用append在html元素后同时添加多项内容的方法,实例分析了jQuery中append追加内容的使用技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGv59p.html" rel="bookmark" class="title">XP升级至Win 7常见问题汇总</a>
					<div>
						跳过Vista而直接从XP升级至Windows 7,可能是绝大部分用户系统升级的必然选择.针对这种情况,本文列出常见的XP升级至Win 7问题汇总,以供读者参考: 1.我能否从Windows XP直接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8GQZp.html" rel="bookmark" class="title">怎样下载网络资源到本地电脑？</a>
					<div>
						  常规网页下载 这种方式是最基本的下载方式,它不需要其他软件,在浏览器中就可以完成. 1.点击下载按钮 一般网页中能提供下载的资源都有相应的下载按钮,用鼠标单击即可. 下载按钮 2.选择保存 这时会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmJk5z.html" rel="bookmark" class="title">休眠功能禁用方法</a>
					<div>
						  1.单击&quot;开始&quot;--&quot;控制面板&quot;--&quot;电源管理&quot;--&quot;休眠&quot;,将&quot;启用休眠&quot;前的勾去掉. 2.关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjJe4b.html" rel="bookmark" class="title">神奇的&OpenCurlyDoubleQuote;数组转指针&rdquo;</a>
					<div>
						在论坛上看到类似下面的一段代码: a.c: int a[10]={1,2,3,4,5,6,7,8,9,0}; int *b = a; b.c: extern int *a; extern int b[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywR74z.html" rel="bookmark" class="title">IIS6设置网站经常遇到的问题详解</a>
					<div>
						很多朋友在用IIS6架网站的时候遇到不少问题,而这些问题有些在过去的IIS5里面就遇到过,有些是新出来的,做了很多次试验,结合以前的排错经验,做出了这个总结,希望能给大家帮上忙. 问题1:未启用父路径 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QZE0p.html" rel="bookmark" class="title">诺基亚卷入窜货纠纷经销商指其涉嫌垄断</a>
					<div>
						因为不满被征收高额&quot;窜货&quot;违约金,一些诺基亚中国的经销商正寻求采取法律行动.不过,诺基亚则回应说,其对经销商的管理意在维护各个经销商的合法权益. 经销商抱怨不公 诺基亚称按协议行事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ke5BM.html" rel="bookmark" class="title">c&num;-imagelocation可以有相对路径吗</a>
					<div>
						问题描述 imagelocation可以有相对路径吗 我希望能将图片放在项目中的一个文件夹里面,我将这个项目放到别的电脑上是,这些图片一样能显示,就是我不希望指定的路径是出c:xxxyyyzzz.jp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQNBVp.html" rel="bookmark" class="title">从团队级到企业级，Worktile推动企业转型、升级</a>
					<div>
						前段时间,已经酝酿了很长时间的企业微信终于发布,一经面世就备受行业关注.正所谓BAT一声吼,中国大地抖一抖,企业微信的面世让企业协作这个领域再添一丝硝烟味.可以看到OA.crm/HR等专业应用.IM等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZZVyM.html" rel="bookmark" class="title">选择合适的行业，选择合适的公司</a>
					<div>
						@大宝–dabao ( 腾讯 高级视觉设计师 ):如果大学学的就是设计专业的话,大部分同学都会有这样的一个同感,入学的时候班级里女生居多,毕业后大部分同学都从事着和设计不相关的行业,能够坚持做设计专业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAkGZM.html" rel="bookmark" class="title">Qlik深度分析亚太地区八大城市生活成本</a>
					<div>
						文章讲的是Qlik深度分析亚太地区八大城市生活成本,根据基于Qlik Sense应用程序的分析结果,东京生活成本最高,香港.悉尼.新加坡紧随其后. 6月15日,Qlik推出了一款基于Qlik可视化分析 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRDv3b.html" rel="bookmark" class="title">360安全卫士限制下载速度的设置介绍</a>
					<div>
						1.我们在电脑中打开&quot;360软件后&quot;然后进入界面中找到&quot;桌面的浮动窗口&quot;然后我们再右键点击,在弹出来的菜单中,我们选择看网速选项 效果如下图所示 2.出现&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA6y4p.html" rel="bookmark" class="title">工具类应用的宿命</a>
					<div>
						工具类应用提供商猎豹移动在做出低于预期的第二季收入预测后,股价暴跌,两个交易日跌去了超过 20%,并拖累香港上市的金山软件暴跌逾 10%. 跨文化的小工具曾帮助猎豹成功地实现了业务的移动化和国际化,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR30Op.html" rel="bookmark" class="title">python多重继承实例&lowbar;python</a>
					<div>
						本文实例讲述了python多重继承用法,分享给大家供大家参考.具体实现方法如下: 1.mro.py文件如下: #!/usr/bin/python # Filename:mro.py class P1: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKGZKz.html" rel="bookmark" class="title">钱明：软件定义存储，要学会&OpenCurlyDoubleQuote;两条腿走路&rdquo;</a>
					<div>
						今年8月,钱明先生正式出任凯翔科技代理CEO,主持业务运营.8月2日,钱明先生接受了记者的专访. 钱明:软件定义存储,要学会&quot;两条腿走路&quot; 软件定义存储和超融合 谈到市场的判断,钱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK6BOb.html" rel="bookmark" class="title">Elasticsearch模块&mdash;&mdash;head插件安装</a>
					<div>
						在这之前的博文已近说过如何安装Elasticsearch了,但是就如Mysql一样,安装以后只可以使用键入命令的方式来查看数据结构,表结构,所以,head插件对弈ES来说是一个可视化操作的插件,相对来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0q5DM.html" rel="bookmark" class="title">Oracle基本查询过滤排序实例</a>
					<div>
						基本查询: view plain --查询所有员工的信息   select * from emp;   --设置行宽   set linesize 120;   --设置列宽为四个数字的宽度   co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xxVZb.html" rel="bookmark" class="title">【MaxCompute学习】隐式转化的问题</a>
					<div>
						有一次计算一个数据的百分比,想把小数结果取2位,并拼接一个百分号展示在结果报表中.用到的sql如下 select concat(round(10230/1497409,4)*100,'%') from ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R61mz.html" rel="bookmark" class="title">《最终幻想》资深王牌画师创个人首部动画电影</a>
					<div>
						据海外媒体报道,多年担任&lt;最终幻想&gt;系列原画设定的资深王牌画师天野喜孝日前在东京召开了新闻发布会,正式对外界公布了由他担任核心主创的个人首部动画电影&lt;DEVA ZAN&gt;. 天野 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkADm7b.html" rel="bookmark" class="title">Linux下使用tmux打造更强大的终端</a>
					<div>
						一些 Fedora 用户把大部分甚至是所有时间花费在了命令行终端上. 终端可让您访问整个系统,以及数以千计的强大的实用程序. 但是,它默认情况下一次只显示一个命令行会话. 即使有一个大的终端窗口,整个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7ydBb.html" rel="bookmark" class="title">Python连接mssql数据库编码问题解决方法&lowbar;python</a>
					<div>
						python一直对中文支持的不好,最近老遇到编码问题,而且几乎没有通用的方案来解决这个问题,但是对常见的方法都试过之后,发现还是可以解决的,下面总结了常用的支持中文的编码问题(这些方法中可能其中一个就 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
